function requestUpdate(url, fieldName, targetName, targetFieldName) {
    var xmlhttp = Sarissa.getXmlHttpRequest();
    xmlhttp.open("POST", url, false);

    // Find the value of the controlling field.

    var fieldValue = document.getElementsByName(fieldName)[0].value;

    // Find the value of the target field, along with the node where the target field is defined.

    var targetFieldValue;
    var targetFieldNodes = document.getElementsByName(targetFieldName);
    if (targetFieldNodes.length != 0) {
        targetFieldValue = targetFieldNodes[0].value;
    } else {
        targetFieldValue = "";
    }

    // Load the remote document with the given parameters sent as text in the request body.

    xmlhttp.send(fieldName + "=" + fieldValue + "\r\ntarget-field-name=" + targetFieldName + "\r\n" + targetFieldName + "=" + targetFieldValue);

    // Parse the result document.

    var newDocument = Sarissa.getDomDocument();
    newDocument.loadXML(xmlhttp.responseText);

    // Find the definition of the affected field in the result document.

    var newElement = newDocument.getElementById(targetName);
    var targetElement = document.getElementById(targetName);

    // Insert the new definition into the current document.

    if (newElement != null && targetElement != null) {
        var importedElement = document.importNode(newElement, true);
        targetElement.parentNode.replaceChild(importedElement, targetElement);
        //importedElement.setAttribute("style", "background-color:red;");
    }
}
